{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>New Recipe - Scrumptious</title>
    <link rel="stylesheet" href="{% static 'css/app.css' %}" />
  </head>

  <body>
    <header>
      <nav>
        <ul>
          <li>
            <a href="{% url 'home' %}">Scrumptious</a>
          </li>
          <li>
            <a href="{% url 'admin:index' %}">Admin</a>
          </li>
          <li>
            <a href="{% url 'recipe_new' %}">Create a new recipe</a>
          </li>
        </ul>
      </nav>
    </header>
    <main class="recipe-detail">
      {% if recipe.image %}
      <img src="{{ recipe.image }}" class="pull-right" />
      {% endif %}
      <div class="recipe-info">
        <h1>{{ recipe.name }}</h1>
        <p class="dates">
          Created on {{ recipe.created }} | Updated on {{ recipe.updated }}
        </p>
        <p class="tags">
          Tags: {% for tag in recipe.tags.all %}{{ tag }} {% endfor %}
        </p>
        <p>{{ recipe.description }}</p>
        <h2>Ingredients</h2>
        <table class="ingredients-detail">
          <thead>
            <tr>
              <th colspan="2">Amount</th>
              <th>Food item</th>
            </tr>
          </thead>
          <tbody>
            {% for ingredient in recipe.ingredients.all %}
            <tr>
              <td>{{ ingredient.amount }}</td>
              <td>{{ ingredient.measure.name }}</td>
              <td>{{ ingredient.food.name }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
        <h2>Steps</h2>
        <ol>
          {% for step in recipe.steps.all %}
          <li>{{ step.directions }}</li>
          {% endfor %}
        </ol>
      </div>
    </main>
  </body>
</html>
